Skip to main content
GET
/
v2
/
schedule_sync_targets
List
curl --request GET \
  --url https://api.incident.io/v2/schedule_sync_targets \
  --header 'Authorization: Bearer <token>'
{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "schedule_sync_targets": [
    {
      "add_bot_to_group": true,
      "created_at": "2021-08-17T13:28:57.801578Z",
      "id": "01JXYZ000000000000000000AB",
      "linked_schedules": [
        {
          "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
          "name": "Primary On-Call Schedule",
          "team_ids": [
            "01JPQA75EPNEES4479P16P4XAB"
          ]
        }
      ],
      "slack_team_id": "T02A1AZHG3J",
      "slack_user_group_id": "S06MNNU5BMK",
      "updated_at": "2021-08-17T13:28:57.801578Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.incident.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: 1 <= x <= 250
Example:

25

after
string

A sync target's ID. This endpoint will return a list of sync targets after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

schedule_sync_targets
object[]
required
Example:
[
{
"add_bot_to_group": true,
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01JXYZ000000000000000000AB",
"linked_schedules": [
{
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"name": "Primary On-Call Schedule",
"team_ids": ["01JPQA75EPNEES4479P16P4XAB"]
}
],
"slack_team_id": "T02A1AZHG3J",
"slack_user_group_id": "S06MNNU5BMK",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
]
pagination_meta
object
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}